New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Unable to Install from npm (extract not completing) #518

Open
tomwanzek opened this Issue Nov 8, 2016 · 38 comments

Comments

Projects
None yet
@tomwanzek

tomwanzek commented Nov 8, 2016

I am unable to install material-design-icons from npm.

When trying to install with npm version 3.10.3 (windows 10 machine), the extraction step:

\ extract:material-design-icons: sill doParallel extract 1

does not complete even after appr. 10min. The progress slash eventually stops spinning completely.

Your insights are most appreciated.

@Nyadesune

This comment has been minimized.

Nyadesune commented Nov 14, 2016

Yes, this is also happening to me.

node version: v6.4.0
npm version: 3.10.9

@AlexDmr

This comment has been minimized.

AlexDmr commented Nov 21, 2016

Same problem here
System: windows 10
npm --version => 3.10.8
node --version => 6.9.1

@klouzoun

This comment has been minimized.

klouzoun commented Nov 21, 2016

Same problem, npm version 3.8.6, node version v6.1.0

@AlexDmr

This comment has been minimized.

AlexDmr commented Nov 21, 2016

It turns out that it took about 20mns to complete....
maybe one could split this large library inti multiple small ones?

@tomwanzek

This comment has been minimized.

tomwanzek commented Nov 24, 2016

@AlexDmr thanks for the patience in investigating. For all intents and purposes 20min seems prohibitively long, i.p. if all one might need are the icon fonts for self-hosting.

@tomwanzek

This comment has been minimized.

tomwanzek commented Dec 1, 2016

Is this going to be addressed?

@sikko

This comment has been minimized.

sikko commented Dec 21, 2016

Same problem here on OSX sierra: npm 3.10.9, node v6.9.2

@gregbown

This comment has been minimized.

gregbown commented Jan 9, 2017

Same problem Windows 10 pro, npm 4.0.2, node 6.9.1.
It appears that the content loads into node_modules/staging, however the node_modules/material-design-icons folder is never generated

@LosEagle

This comment has been minimized.

LosEagle commented Feb 14, 2017

Same here,
node 6.9.2
npm 4.0.3
Debian Jessie

@geelife

This comment has been minimized.

geelife commented Feb 19, 2017

Same here with Win10, node 6.9.4, npm 4.1.2

@shankjn

This comment has been minimized.

shankjn commented Mar 5, 2017

After 20 minutes of installation, it shows several errors and ultimately does not get installed. Does anyone have a solution or any updates for installation on Windows 10, Node 6.10.0 and npm 3.10.10.

@efiring

This comment has been minimized.

efiring commented Mar 5, 2017

@davidgreens Why are you pinging matplotlib devs?

@azavisha

This comment has been minimized.

azavisha commented Mar 7, 2017

I had the same problem with npm 3.x.x (don't remember the exact version). All I did to fix it was update npm to 4.3.0, remove node_modules directory, and run "npm install".

@datadidit

This comment has been minimized.

datadidit commented Mar 12, 2017

Upgraded to 4.4.1 download is still taking quite a while.

@shankjn

This comment has been minimized.

shankjn commented Mar 20, 2017

After upgrading to the latest versions of node and npm, I'm unable to install it.

@mankey-ru

This comment has been minimized.

mankey-ru commented Mar 28, 2017

Still occurs.
node v.6.9.5
npm v.4.4.4
Windows 10

@karser

This comment has been minimized.

karser commented Apr 1, 2017

Installing material-design-icons-iconfont solves this issue:

npm install material-design-icons-iconfont --save
//styles.scss
$material-design-icons-font-path: "~material-design-icons-iconfont/dist/fonts/";
@import "~material-design-icons-iconfont/dist/material-design-icons";

npm 3.10.10
node v6.10.0

@tomwanzek

This comment has been minimized.

tomwanzek commented May 4, 2017

@jestelle and @shyndman (simply mentioning you as main contributors):

This fairly fundamental issue has been open without any investigation of root cause and possible remediation for an extended period.

Is this repo still supported? Thanks for looking into it.

@jmauerhan

This comment has been minimized.

jmauerhan commented Jun 21, 2017

This is still a problem.

@clusteratlas

This comment has been minimized.

clusteratlas commented Jun 27, 2017

It's frustrating, but lol it worked somewhere around the 10th try.

Just persist <3

Edit:

  • npm@5.0.3
  • node@v7.10.0
@diogoweb2

This comment has been minimized.

diogoweb2 commented Jul 25, 2017

same problem using Yarn v0.27.5 @ win10

@saumyatripathi saumyatripathi referenced this issue Sep 8, 2017

Closed

npm install stuck at extract:core-js #18448

1 of 13 tasks complete
@tomwanzek

This comment has been minimized.

tomwanzek commented Oct 17, 2017

The issue seems to be resolved. I have been able to install the lib in version 3.0.1 using npm. 🎉

@jmauerhan

This comment has been minimized.

jmauerhan commented Oct 25, 2017

Still a problem on Windows 10.

@karser's solution above still works: #518 (comment)

@tomwanzek

This comment has been minimized.

tomwanzek commented Nov 3, 2017

@jmauerhan The install takes appr. 4min for me. Windows 10, npm version 5.3.0. Slow, but at least working.

@molikh

This comment has been minimized.

molikh commented Nov 5, 2017

same here

@raspu

This comment has been minimized.

raspu commented Dec 8, 2017

Same here, still an issue

@srinek

This comment has been minimized.

srinek commented Dec 8, 2017

me too. npm install material-design-icons is not working.

@whisher

This comment has been minimized.

whisher commented Dec 9, 2017

Hi there,
with ng 1.6 it works but with warning like

WARNING in ./node_modules/css-loader?{"sourceMap":false,"importLoaders":1}!./node_modules/postcss-loader/lib?{"ident":"postcss","sourceMap":false}!./node_modules/sass-loader/lib/loader.js?{"sourceMap":false,"precision":8,"includePaths":[]}!./src/styles.scss
(Emitted value instead of an instance of Error) postcss-url: /Users/whisher/Projects/src/styles.scss:7:3: Can't read file '/Users/whisher/Projects/src/~material-design-icons-iconfont/dist/fonts/MaterialIcons-Regular.eot', ignoring
@raphaelstary

This comment has been minimized.

raphaelstary commented Jan 17, 2018

still a problem in 2018 😢
(using node v9.4.0, npm 5.6.0 on ubuntu bash under windows 10 - using a folder within the win10 file system)

@viktorko99

This comment has been minimized.

viktorko99 commented Feb 14, 2018

Update for 2018:

It's possible to install this package, but you have to wait really long time (about 10 min).

@cvgaviao

This comment has been minimized.

cvgaviao commented Feb 23, 2018

Please, could someone explain me one thing?
If I install material-design-icons in my project will all icons of it be added to the production bundle or just those being used ?

@itskaizad

This comment has been minimized.

itskaizad commented Jun 28, 2018

@cvgaviao your node_modules will contain ALL ICONS when you do that

@rgalaxy

This comment has been minimized.

rgalaxy commented Jun 29, 2018

Is there any way i can import just the icons that i wanted? and how to implement it after installing it?
for me karser solution not working anymore.

@urmichauhan

This comment has been minimized.

urmichauhan commented Aug 1, 2018

i have also problem after done everything !

@euthophis

This comment has been minimized.

euthophis commented Aug 10, 2018

I've faced this issue when trying to install moduled through npm-cli.
But it seems to me that issue is disappeared when I install modules through yarn.

  • yarn -v - 1.7.0
  • node -v - v10.7.0
@jesraygarciano

This comment has been minimized.

jesraygarciano commented Aug 16, 2018

Issue still exists?

@kastork

This comment has been minimized.

kastork commented Sep 13, 2018

Yes it does.
node 10.10, yarn 1.9.4, macos

I can wget the archive manually in about 4 seconds, but yarn can't, it times out and retries after a minute or so and ultimately fails.

@jossef

This comment has been minimized.

jossef commented Oct 27, 2018

Hey @kastork @jesraygarciano @ifeature @urmichauhan @rgalaxy @itskaizad @cvgaviao @viktorko99 @raphaelstary @whisher @srinek @raspu @molikh @tomwanzek @jmauerhan @diogoweb2 @Nyadesune @AlexDmr @klouzoun

This project is on low maintenance and out of date for a while.

The lack of updates + development support issues also bothered me. I've forked this repo, added support for scss, removed irrelevant files and updated the fonts with the latest straight from Google's CDN.

Check it out: material-design-icons-iconfont

image

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment